Commit 26cc34eb authored by Natanael Copa's avatar Natanael Copa

main/ruby: upgrade to 2.4.6

- CVE-2019-8320
- CVE-2019-8321
- CVE-2019-8322
- CVE-2019-8323
- CVE-2019-8324
- CVE-2019-8325

fixes #10289
parent 25cda9a8
......@@ -3,6 +3,13 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
#
# secfixes:
# 2.4.6-r0:
# - CVE-2019-8320
# - CVE-2019-8321
# - CVE-2019-8322
# - CVE-2019-8323
# - CVE-2019-8324
# - CVE-2019-8325
# 2.4.5-r0:
# - CVE-2018-16395
# - CVE-2018-16396
......@@ -26,7 +33,7 @@
# - CVE-2017-17405
#
pkgname=ruby
pkgver=2.4.5
pkgver=2.4.6
_abiver="${pkgver%.*}.0"
pkgrel=0
pkgdesc="An object-oriented language for quick and easy programming"
......@@ -253,5 +260,5 @@ _mvgem() {
done
}
sha512sums="39863b404b02bb3d2430fd19fb057bdded5e816842a1a1f00092de69cc360db836225b2186e18b6ee099ec5e8c60f89178a4297b2d221234b4962c70594c2b8e ruby-2.4.5.tar.gz
sha512sums="7eb7720961e98e22e4335c38eeead9db96d049ef3ac1da437769b98fee7a10feb092643ce75822a2fe3bd5fd94938417ab5c2de7c6056afe0abf6e4cf03ca282 ruby-2.4.6.tar.gz
cfdc5ea3b2e2ea69c51f38e8e2180cb1dc27008ca55cc6301f142ebafdbab31c3379b3b6bba9ff543153876dd98ed2ad194df3255b7ea77a62e931c935f80538 rubygems-avoid-platform-specific-gems.patch"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment